• 0

    posted a message on Custom Raid Mark Icons?
    These icons are in two different places in the MPQ (one texture containing all of the icons in a grid, and then individual textures for each icon). You probably need to replace all of these to make them show up properly in all situations.
    Posted in: Addon Ideas
  • 0

    posted a message on Pitbull:Update.lua:179: attempt to index upvalue 'allFriendlyBuffs'(a nil value)
    I wish I could be more helpful, but I don't have access to a paladin. I know ckknight does, but I don't know if he's copied it over to beta for testing - I assume that if/when he does, this will likely be taken care of. I did ping him on the issue, but he seems quite busy lately and hasn't looked at it yet.
    Posted in: Unit Frames
  • 0

    posted a message on [Pitbull] importing layouts does not change frame size.
    That is normal. You have to adjust the frame sizes yourself, since what fits one person's screen may be way too big or small on another (due to game resolution and UI scale).
    Posted in: Unit Frames
  • 0

    posted a message on Pitbull: Aggro notification?
    PitBull_Banzai (on by default) will color the unit's health bar red when they gain aggro. By default it works on player, pet, party, and raid.
    Posted in: Unit Frames
  • 0

    posted a message on DogTag Questions Go Here
    Quote from GhostR »

    Hello, i have following Problem:
    I?m using ruRU Client and trying to use following Tag:
    [if ~HasAura("Боевой крик") or ~HasAura("Командирский крик") and InCombat then
      ThickOutline "S":Red
    end]

    The goal ist to have a big, red "S" in the frame, if I forget to use Battle or Commanding Shout. But after typing this into Pitbull config russian letters turn to numbers like this:
    [if (~HasAura("\208\145\208\190\208\181\208\178\208\190\208\185 \208\186\209?\208\184\208\186") or ~HasAura("\208\154\208\190\208\188\208\176\208\189\208\180\208\184\209?\209\129\208\186\208\184\208\185 \208\186\209?\208\184\208\186")) and InCombat then
      ThickOutline "S":Red
    end]

    and this code don?t work. By using only 1 Shout it works perfectly. I guess it fails because it can?t resolve two number strings. Is there a workaround or how can I make this code work?


    You probably want this instead (change in bold):
    [if ~HasAura("Боевой крик") and ~HasAura("Командирский крик") and InCombat then
    ThickOutline "S":Red
    end]
    since you want to check if you have neither of them, rather than if you don't have both.
    Posted in: Unit Frames
  • 0

    posted a message on Pitbull broken, help please ._.
    Those options will be fine if you want your libraries disembedded (meaning all the libraries and libs mixed together as you have them, rather than the libs being packaged inside the addon folders out of sight).
    Posted in: AddOn HELP!
  • 0

    posted a message on Pitbull broken, help please ._.
    To help you eliminate some junk from your addons folder, I've gone through and identified some addon "duplicates" - multiple addons providing the same/similar functionality. I'm not sure how you collected so many, and I hope at least some of them are disabled in-game or you'll probably have some odd conflicts... This list is far from complete but should be a good place to start cleaning things out.


    Unit frames:
    Grid & many modules
    PitBull & modules
    IceHUD & module
    sRaidFrames & module
    KlikUnitFrames
    KlikGrid

    Maps:
    Atlas & many modules
    Cartographer & many modules
    MetaMap & many modules

    Minimaps:
    simpleMinimap
    Squeenix
    MinimapPinger

    Tooltips:
    TinyTip & modules
    CowTip

    Mail:
    GMail
    Postal

    Click-casting:
    Clique
    KlikCast

    Threat:
    Omen
    KLHThreatMeter
    RecountThreat

    Damage meters:
    Recount
    SW_Stats & modules
    DamageMeters

    Decursing:
    KlikCure
    Decursive

    Raid buffing:
    KlikBuff
    FuBar_CorkFu

    Buffs:
    ElkBuffBar
    ElkBuffBars

    Cast bar:
    KlikCastBar
    oCB
    Quartz

    Error-catching:
    !Swatter
    !BugGrabber & BugSack

    Mob marking:
    Jude
    MagicMarker

    Loot:
    XLoot & modules
    FruityLoots (useless if XLoot is running)

    Weapon switching (does this even work anymore?):
    Manasurge
    CasterWeaponSwapper

    Quest log:
    EQL3
    MonkeyQuestLog

    CC breaker notification:
    BigBrother
    CCBreaker

    You also have a huge number of libraries, sometimes multiple versions of the same lib, many of which are outdated and no longer used. You should consider deleting them all and letting your updater install the ones you need, or manually installing the ones your addons ask for - or perhaps you could just stick with embedded libraries so you don't have to worry about the whole mess.
    Posted in: AddOn HELP!
  • 0

    posted a message on Pitbull broken, help please ._.
    Quote from Aviator »

    which program you would suggest to use? WAU?


    Since you use many addons which are not hosted on WowAce, you should probably look for a multi-site updater. Good choices might be:

    WUU http://www.wowace.com/forums/index.php?topic=9814.0
    JWU http://www.wowace.com/forums/index.php?topic=5917.0 (requires some setup to download addons from other sites)
    Posted in: AddOn HELP!
  • 0

    posted a message on Pitbull broken, help please ._.
    Quote from Aviator »

    Well, can i safely delete "outdated"-marked addons/libs? ^^;


    If you mean they are marked "outdated" in your updater, I don't know (I wouldn't use WowMatrix if they paid me a hundred bucks). Anything shown as "incompatible" in WoW can go though. In particular, the following in your list will no longer work AT ALL and can be deleted with no ill effects:

    ChatSettingsFix
    Parser-3.0
    ParserLib
    PitBull_AltAura
    PitBull_EstimatedHeals
    SimpleCombatLog
    TekTechEmbed
    Threat-1.0

    And anything that depends on them is so out of date it likely isn't going to work either.

    Also, from what I can tell from your error messages, it appears you already are downloading addons with embedded libs, so you shouldn't need the libraries installed separately in the first place. I can't be sure of that, though, without looking through your entire installation.
    Posted in: AddOn HELP!
  • 0

    posted a message on Pitbull broken, help please ._.
    Well, reading through your list, you really need to clean up your addon folder. A lot of those addons are outdated and don't even work anymore, and you have tons of libs you don't need.
    Posted in: AddOn HELP!
  • 0

    posted a message on Pitbull broken, help please ._.
    Quote from Aviator »

    I think that 1 Library is somehow corrupt, when i get that error again with pitbull ill delete that downloaded files who should make those error and download it from here.

    If you do find out which addon is causing the problem, please let us know so we can fix the problem at the source (or contact the author about it).
    Posted in: AddOn HELP!
  • 0

    posted a message on Pitbull broken, help please ._.
    Quote from Aviator »

    I deleted the folders again and pasted a backup made 1 month ago, its working now, now i need to update the addons, ill do this one by one i guess, right decision?


    That might be the easiest way to do it, since we can't tell which version of these addons your updater is downloading or from where.
    Posted in: AddOn HELP!
  • 0

    posted a message on Pitbull broken, help please ._.
    Quote from Aviator »

    okay, all my libs and addons are fresh installed, i still get the pitbull-error, a load on demand error for fubar-plugins and fubar istn visible too.


    You'll probably need to try disabling your addons one at a time (starting with any that you just installed/updated recently before the errors started occurring). You could also provide a list of all your addons and where you got them (if not wowace) so we can help you look for the culprit.
    Posted in: AddOn HELP!
  • 0

    posted a message on Pitbull broken, help please ._.
    Your libraries are not installed properly. If you're using an updater, make sure to enable dependency downloads, or install your addons WITH externals.

    It's also possible one of your addons is loading a "bad" version of these libraries; try disabling any addons you've recently installed/updated to see if one of them might be causing the errors.
    Posted in: AddOn HELP!
  • 0

    posted a message on Pitbull broken, help please ._.
    "can't even press enter" means the slash commands are generating errors. You NEED to open up your bugsack, find those errors, and paste them here. Otherwise we don't know what's wrong and can't help you.
    Posted in: AddOn HELP!
  • To post a comment, please or register a new account.